#!/bin/bash
if [[ $TAG =~ ^v1\...\..rc.$ ]]; then
  echo "Tag ${TAG} appears to be a release candidate, terminating build."
  echo " Tag is an RC." > /git/pipeline/reason
  exit 1
elif [[ $TAG =~ ^v1\...\..$ ]]; then
  echo "Tag ${TAG} appears to be a release tag, proceeding."
  exit 0
else
  echo "Unable to determine nature of tag, terminating build."
  echo " Cannot parse tag." > /git/pipeline/reason
  exit 1
fi